Fooocus Image Prompt
Unganisha
fooocus/image-prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/fooocus/image-prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/fooocus/image-prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/fooocus/image-prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/sw/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "fooocus/image-prompt",
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
}
Piga modeli ya Fooocus Image Prompt (fooocus/image-prompt) kupitia Doitong API. Nyaraka za mawakala: https://doitong.com/sw/developers/models/fooocus/image-prompt.md
POST https://api.doitong.ru/v1/run/fooocus/image-prompt?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Ikiwa hali ya jibu ni "queued" au "running", piga GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 mara kwa mara hadi iwe "succeeded"; faili ziko kwenye outputs[].url. POST https://api.doitong.ru/v1/quote/fooocus/image-prompt yenye mwili uleule hurejesha bei kamili kabla ya kuendesha.
Ombi hili: ≈$ 0.085 salio za API 85 · ≈ ₽ 9.06 Iendeshe kwenye ukurasa huu
Ufunguo wako mpya wa API. Inaonyeshwa sasa tu na tayari iko kwenye msimbo na katika sehemu ya ufunguo wa API hapa chini. Iweke siri: usiwahi kuiweka kwenye msimbo unaoendeshwa kwenye kivinjari.
Tokeo lako la kwanza linaonekana hapa
Unda ombi hapa chini na uliendeshe kwa ufunguo wako wa API. Matokeo yanakiliwa kwenye hifadhi yetu, yakihifadhiwa milele au 7 siku bila malipo.
Unda ombi
Vidhibiti vinazalishwa kutoka kwenye schema ya modeli. Msimbo na bei husasishwa unapovibadilisha.
/run/fooocus/image-prompt?wait=20
makadirio → $ 0.085
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/fooocus/image-prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/fooocus/image-prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/fooocus/image-prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "fooocus/image-prompt",
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
},
"wait_seconds": 20
}
}
}
Endesha ombi hili
Key yako inabaki kwenye kivinjari hiki: inatumwa kwa Doitong API pekee na kuhifadhiwa (localStorage) tu ukiweka tiki kwenye Kumbuka. Pata ufunguo wa API
Kuhusu Fooocus Image Prompt
Hutumia `image_prompt_1` (inahitajika) pamoja na hadi vidokezo vitatu zaidi vya picha kuongoza uzalishaji pamoja na `prompt` ya maandishi. Pia hutoa inpainting kupitia `inpaint_mode` na mielekeo ya outpaint, na `uov_method` kwa kubadilisha au kuongeza mwonekano. Mipangilio ya mitindo, LoRA, hali za `performance` na matokeo 1 hadi 4 kwa ombi zinaungwa mkono.
Vigezo
Tuma jina rasmi au jina asilia, si yote mawili. Majina rasmi
promptsi lazima
negative_promptsi lazima
stylessi lazima
performancesi lazima
guidance_scalesi lazima
sharpnesssi lazima
aspect_ratiosi lazima
num_imagessi lazima
num_outputs
lorassi lazima
loras[].pathinahitajika
loras[].scalesi lazima
refiner_modelsi lazima
refiner_switchsi lazima
output_formatsi lazima
seedsi lazima
image_prompt_1inahitajika
image_prompt_1.typesi lazima
image_prompt_1.image_urlsi lazima
image_prompt_1.stop_atsi lazima
image_prompt_1.weightsi lazima
image_prompt_2si lazima
image_prompt_2.typesi lazima
image_prompt_2.image_urlsi lazima
image_prompt_2.stop_atsi lazima
image_prompt_2.weightsi lazima
image_prompt_3si lazima
image_prompt_3.typesi lazima
image_prompt_3.image_urlsi lazima
image_prompt_3.stop_atsi lazima
image_prompt_3.weightsi lazima
image_prompt_4si lazima
image_prompt_4.typesi lazima
image_prompt_4.image_urlsi lazima
image_prompt_4.stop_atsi lazima
image_prompt_4.weightsi lazima
inpaint_image_urlsi lazima
mask_image_urlsi lazima
inpaint_modesi lazima
inpaint_additional_promptsi lazima
outpaint_selectionssi lazima
mixing_image_prompt_and_inpaintsi lazima
uov_image_urlsi lazima
uov_methodsi lazima
mixing_image_prompt_and_vary_upscalesi lazima
enable_safety_checkersi lazima
Vigezo vya faili vinakubali URL ya umma ya https://, data: URI ya hadi 10 MB, au file_url ya upakiaji. Faili
Tokeo
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "fooocus/image-prompt",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 85,
"usd": "0.085",
"charged": 85,
"refunded": 0
},
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"timings": {},
"has_nsfw_concepts": [
false
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Sehemu za tokeo
- images
- array of object {url, content_type, file_name, file_size, width, height}Maelezo ya faili ya picha iliyozalishwa.
- timings
- objectMuda uliopita wa uzalishaji.
- has_nsfw_concepts
- array of booleanHuonyesha ikiwa dhana za NSFW zinaonekana katika picha zilizozalishwa.
Tofauti nyingine za Fooocus
Miundo zaidi: Maandishi hadi Picha
Kwa mawakala wa AI: ukurasa huu katika Markdown unapatikana kwenye https://doitong.com/sw/developers/models/fooocus/image-prompt.md. Modeli na miongozo yote: https://doitong.com/developers/llms.txt







